<?php

error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_DEPRECATED);

// Root directory path
if (__FILE__ != "") {
  $script = __FILE__;
}
else {
  // Fallback method : detect path from core.php path
  foreach(get_included_files() as $script)
    if (basename($script) == 'core.php')
      break;
}
$root_dir_path=realpath(dirname($script).'/../');

// Include App's includes and vendor directories to PHP include paths
set_include_path($root_dir_path.'/includes' . PATH_SEPARATOR . get_include_path());

// Load composer autoload.php
require("$root_dir_path/vendor/autoload.php");

// API mode
$api_mode = false;

// Load configuration
require_once('translation.php');
require_once('config.inc.php');

// Check $public_root_url end
if (substr($public_root_url, -1)=='/') {
  $public_root_url=substr($public_root_url, 0, -1);
}

// Define upload_tmp_dir
ini_set('upload_tmp_dir',$upload_tmp_dir);

require_once('logging.php');
require_once('functions.php');
require_once('session.php');

// Nomenclatures
$status_list = array (
  'pending' => ___('Pending'),
  'validated' => ___('Validated'),
  'refused' => ___('Refused'),
  'archived' => ___('Archived'),
);

require_once('hooks.php');
require_once('cli.php');
require_once('translation-cli.php');
require_once('smarty.php');
require_once('url.php');
require_once('url-helpers.php');
require_once('db.php');
require_once('mail.php');

// Initialize translation
init_translation();
foreach($status_list as $key => $value)
  $status_list[$key] = _($value);
